microsoft.netcore.app vulnerabilities

A set of .NET API's that are included in the default .NET Core application model. 0a3c9209c044e7772631cd0b926630c75ac13319 When using NuGet 3.x this package requires at least version 3.4.

Latest version: 2.2.5

Licenses detected

  • license: Unknown [1.0.0-rc2-3002702, 2.0.0-preview2-25407-01)
  • license: MIT [2.0.0-preview2-25407-01,)
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the microsoft.netcore.app package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • H
Denial of Service (DoS)
[2.1.0, 2.2.5) Not available 15 May, 2019
  • H
Privilege Escalation
[2.0.0, 2.1.4) Not available 02 May, 2019
  • M
Cross-site Request Forgery (CSRF)
[2.0.0, 2.1.4) Not available 02 May, 2019
  • H
Denial of Service (DoS)
[,2.0.0) Not available 02 May, 2019
  • H
Denial of Service (DoS)
[1.0.0,1.0.9),[1.1.0,1.1.6),[2.0.0,2.0.5) Not available 18 Apr, 2019
  • H
Denial Of Service (DoS)
[, 1.0.8),[1.1.0, 1.1.5),[2.0.0, 2.0.3) Not available 13 Mar, 2019
  • H
Authentication Bypass by Spoofing
[2.1.0,2.1.8),[2.2.0,2.2.2) Not available 06 Mar, 2019
  • H
Domain-Spoofing
[2.1.0, 2.1.8),[2.2.0, 2.2.2) Not available 14 Feb, 2019
  • M
Denial of Service (DoS)
[2.2.0,2.2.1),[2.1.0,2.1.7) Not available 10 Jan, 2019
  • H
Denial of Service (DoS)
[1.0.0,2.0.6) Not available 13 Mar, 2018
  • H
Denial of Service (DoS)
[1.0.0,2.0.0) Not available 11 Jul, 2017